package org.w3c.rdf.implementation.model;

import org.w3c.rdf.model.*;

public class NodeFactoryImpl implements NodeFactory {

  /**
   * Creates a resource out of a string
   */
  public Resource createResource(String str) {

    return new ResourceImpl(str);
  }

  /**
   * Creates a literal out of a string
   */
  public Literal createLiteral(String str) {

    return new LiteralImpl(str);
  }

  /**
   * Creates a triple
   */
  public Statement createStatement(Resource subject, Resource predicate, RDFNode object) {
		
    return new StatementImpl(subject, predicate, object);
  }
}
